---
updatedAt: 2025-09-18T21:52:23.000Z
agentTools:
  projectIndex: https://docs.nodereal.io/llms.txt
---

# eth_getAssetBalance

Getting an account’s non-AVAX balance.

> 📘 Supported on Avalanche C-Chain (mainnet) only.

## Parameters

* `address` - string - The owner of the asset
* `blk` - string - The block number or hash which to retrieve the balance.
* `assetID` - string - The id of the asset for which the balance is requested.

## Returns

* `result` - int - The balance of an asset.

## API Endpoint

The format of an Avalanche C-Chain API endpoint is\
`https://open-platform.nodereal.io/{{apiKey}}/avalanche-c/ext/bc/C/rpc` - for RPC API\
`https://open-platform.nodereal.io/{{apiKey}}/avalanche-c/ext/bc/C/avax` - for AVAX API

Here is an example:\
`https://open-platform.nodereal.io/4c0a1c23661a4e26bcbcwed461e34ea9/avalanche-c/ext/bc/C/rpc`\
`https://open-platform.nodereal.io/4c0a1c23661a4e26bcbcwed461e34ea9/avalanche-c/ext/bc/C/avax`

## Example

**Request**

```
curl --location --request POST https://open-platform.nodereal.io/{{apiKey}}/avalanche-c/ext/bc/C/rpc \
--header 'Content-Type: application/json' \
--data-raw '{
    "jsonrpc": "2.0",
    "method": "eth_getAssetBalance",
    "params": [
        "0x8723e5773847A4Eb5FeEDabD9320802c5c812F46",
        "latest",
        "3RvKBAmQnfYionFXMfW5P8TDZgZiogKbHjM8cjpu16LKAgF5T"
    ],
    "id": 1
}'
```

**Result**

```
{
  "jsonrpc": "2.0",
  "id": 1,
  "result": "0x1388"
}
```